Package org.apache.qpid.proton

# Class Proton

java.lang.Object
org.apache.qpid.proton.Proton

public final class Proton extends Object

## Method Summary

Modifier and Type
Method
Description
`static Collector`
`collector()`
`static Connection`
`connection()`
`static Data`
`data(long capacity)`
`static Message`
`message()`
`static Message`
`message(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`
`static Reactor`
`reactor()`
`static Reactor`
`reactor(Handler... handlers)`
`static Reactor`
`reactor(ReactorOptions options)`
`static Reactor`
`reactor(ReactorOptions options, Handler... handlers)`
`static SslDomain`
`sslDomain()`
`static SslPeerDetails`
`sslPeerDetails(String hostname, int port)`
`static Transport`
`transport()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### collector

public static Collector collector()

### connection

public static Connection connection()

### transport

public static Transport transport()

### sslDomain

public static SslDomain sslDomain()

### sslPeerDetails

public static SslPeerDetails sslPeerDetails(String hostname, int port)

### data

public static Data data(long capacity)

### message

public static Message message()

### message

public static Message message(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)

### reactor

public static Reactor reactor() throws IOException

Throws:
  `IOException`

### reactor

public static Reactor reactor(Handler... handlers) throws IOException

Throws:
  `IOException`

### reactor

public static Reactor reactor(ReactorOptions options) throws IOException

Throws:
  `IOException`

### reactor

public static Reactor reactor(ReactorOptions options, Handler... handlers) throws IOException

Throws:
  `IOException`